import greenfoot.*;  // (Actor, World, Greenfoot, GreenfootImage)

public class CrabWorld extends World
{
    /**
     * In this world, the crab must escape the lobsters by
     * continuing to run using the arrow keys to turn. He starts
     * in the top left corner, and can defeat the lobsters by making
     * them run into worms. For extra difficulty, increase the speed
     * or add another lobster. Version 1.3, by Jordan.
     */
    public CrabWorld() 
    {
        super(750, 535, 1);
        addObject( new Crab(), 20, 30);
        addObject( new Lobster(), Greenfoot.getRandomNumber(730) + 20, Greenfoot.getRandomNumber(515) + 20 );
        addObject( new Worm(), Greenfoot.getRandomNumber(730) + 20, Greenfoot.getRandomNumber(515) + 20 );
        addObject( new Worm(), Greenfoot.getRandomNumber(730) + 20, Greenfoot.getRandomNumber(515) + 20 );
        addObject( new Worm(), 385, 288 );
        addObject( new Lobster(), Greenfoot.getRandomNumber(730) + 20, Greenfoot.getRandomNumber(515) + 20 );
        addObject( new Lobster(), Greenfoot.getRandomNumber(730) + 20, Greenfoot.getRandomNumber(515) + 20 );
    }
}