import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * The Lobster is the class that will eat crabs, but not worms. It turns less often than the crab.
 * Version 1.1, by Jordan.
 */
public class Lobster extends Animal
{ 
        
/**
 * Check whether we have stumbled upon a crab.
 * If we have, eat it. If not, do nothing.
 */
public void lookForCrab()
{
    if ( canSee(Crab.class) )
    {
        eat(Crab.class);
        Greenfoot.stop();
    }
}
public void act()
{
    turnAtEdge();
    randomTurn();
    move();
    lookForCrab();
}
public void turnAtEdge()
{
    if ( atWorldEdge() )
    {
        turn(21);
    }
}
public void randomTurn()
{
    if ( Greenfoot.getRandomNumber(100) < 5 )
    {
        turn( Greenfoot.getRandomNumber(91)-45);
    }
}
}
